For the complete documentation index, see llms.txt. This page is also available as Markdown.

TAN Verification

The TAN Number Validation API instantly verifies TAN numbers and provides associated company details, ensuring accurate compliance and efficient tax-related validation.

TAN Verification

POST https://secctrl.tutelar.io/api/v2/services/business_profile/tan_verification

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Sample Request Body

Body
Type
Mandatory
Description

tan_number

string

Yes

TAN number to be validate.

Sample Post Parameters

{
    "tan_number": "ABCD12345A",
}
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "1ee90281-daea-40e6-9125-8e859b432948",
    "status": "completed",
    "result": {
        "is_valid": true,
        "company_name": "NIPPON INDIA MUTUAL FUND"
    },
    "requested_at": "2026-02-25T11:03:22.711Z",
    "completed_at": "2026-02-25T11:03:24.119Z"
}

Check Document Status

Get document details

GET https://secctrl.tutelar.io/api/v2/services/business_profile/tan_verification

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated